Jun 262012
 


# -*- coding: utf-8 -*-
import rhinoscriptsyntax as rs
from random import *

#AddDimension関数
def AddDimension(_startpoint, _endpoint, _dimensionpoint):
rs.AddAlignedDimension(_startpoint, _endpoint, _dimensionpoint)
#ChangeDimScale関数
def ChangeDimScale(_number):
rs.DimScale(_number)



#寸法を取る最初の位置を選択
startpoint = rs.GetPoint("Select start point to add dimension")
#寸法を取る最後の位置を選択
endpoint = rs.GetPoint("Select end point to add dimension")
#寸法を入れたい位置をクリック
dimensionpoint = rs.GetPoint("Click where dimention will aligned")
#寸法の文字の大きさを変更
letterscale = rs.GetInteger("Enter a value of letter scale")



#AddDimension関数呼び出し
AddDimension(startpoint,endpoint,dimensionpoint)

#ChangeDimScale
if( letterscale != 1.0 ):
ChangeDimScale(1.0)
else:
ChangeDimScale(letterscale)


(作成:佐々木雅宏)

Jun 262012
 


# -*- coding: utf-8 -*-
import rhinoscriptsyntax as rs
from random import *

#planerSrf関数
def planarSrf(_objs):
rs.AddPlanarSrf(_objs)

#内側にサーフェイスを作るCurveの選択

objs = rs.GetObjects("Select planar curves to build surface", rs.filter.curve)

#planarSrf関数呼び出し
planarSrf(objs)

(作成:佐々木雅宏)

Jun 262012
 

# -*- coding: utf-8 -*-
import rhinoscriptsyntax as rs
from random import *

#offsetCarve関数
def offsetCurve(_curve,_point,_distance):
rs.OffsetCurve(_curve,_point,_distance)

#オフセットするオブジェクトの選択
obj = rs.GetObject("Select a curve", rs.filter.curve)
#オフセットする距離の入力
number = rs.GetInteger("Enter a value")
#オフセットする方向を指定
direction = rs.GetPoint("Click offset direction")

#offsetCurve関数呼び出し
offsetCurve(obj,direction,number)

(作成:佐々木雅宏)